Bug 736562

Summary: [RS740] Gnome 3 dualhead fallback mode
Product: [Fedora] Fedora Reporter: arc <anton.vinogradov>
Component: xorg-x11-drv-atiAssignee: Jérôme Glisse <jglisse>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: mcepl, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-11 16:45:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Xorg.0.log
none
/var/log/messages
none
dmesg
none
Xorg.0.log
none
Xorg.9.log none

Description arc 2011-09-08 05:38:21 UTC
Created attachment 522040 [details]
Xorg.0.log

Description of problem:
I get Gnome 3 fallback mode on Radeon 2100 in dualhead configuration (2 monitors).

Version-Release number of selected component (if applicable):
#rpm -q xorg-x11-drv-ati
xorg-x11-drv-ati-6.14.2-2.20110727git8c9266ed2.fc16.x86_64

How reproducible:
Always on Radeon 2100

Steps to Reproduce:
1. Plug second monitor and reboot
2. login in gnome3
3.
  
Actual results:

I get Gnome 3 fallback mode

Expected results:

Gnome Shell mast work on this hardware.

Additional info:
HW profile. 
http://www.smolts.org/client/show/pub_90bb3d2b-cf7c-43dc-9555-c8f7c7f08fbf

Comment 1 Matěj Cepl 2011-09-08 14:03:20 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, if you none log matches, attachment in the comment 0 is enough),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 arc 2011-09-13 11:02:58 UTC
Created attachment 522892 [details]
/var/log/messages

Comment 3 arc 2011-09-13 11:03:39 UTC
Created attachment 522893 [details]
dmesg

Comment 4 arc 2011-09-13 11:04:13 UTC
Created attachment 522894 [details]
Xorg.0.log

Comment 5 arc 2011-09-13 11:04:42 UTC
Created attachment 522895 [details]
Xorg.9.log

Comment 6 arc 2011-09-13 11:11:22 UTC
(In reply to comment #1)
> Thanks for the bug report.  We have reviewed the information you have provided
> above, and there is some additional information we require that will be helpful
> in our diagnosis of this issue.
> 
> Please add drm.debug=0x04 to the kernel command line, restart computer, and
> attach...
thanks for the answer.
I attached the required files.

# cat /proc/cmdline 
BOOT_IMAGE=/vmlinuz-3.1.0-0.rc4.git0.0.fc16.x86_64 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 LANG=en_US.UTF-8 drm.debug=0x04

Comment 7 Jérôme Glisse 2012-04-11 16:45:05 UTC
You are just hiting hw limitation r3xx 3D block can't render to surface bigger that 2048 (don't remember the exact size). Your 2 monitor size by side just exceed this limit.